Cantera 2.6.0

Classes | Namespaces | Typedefs
InterfaceRate.h File Reference

Header for reaction rates that occur at interfaces. More...

`#include "cantera/base/global.h"`
`#include "cantera/kinetics/BlowersMaselRate.h"`
`#include "MultiRate.h"`
Include dependency graph for InterfaceRate.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | InterfaceData
| Data container holding shared data for reaction rate specification with interfaces. More...
class | InterfaceRateBase
| Base class for rate parameterizations that involve interfaces. More...
class | StickingCoverage
| Base class for rate parameterizations that implement sticking coefficients. More...
class | InterfaceRate< RateType, DataType >
| A class template for interface reaction rate specifications. More...
class | StickingRate< RateType, DataType >
| A class template for interface sticking rate specifications. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Typedefs
using | InterfaceArrheniusRate = InterfaceRate< ArrheniusRate, InterfaceData >
using | InterfaceBlowersMaselRate = InterfaceRate< BlowersMaselRate, InterfaceData >
using | StickingArrheniusRate = StickingRate< ArrheniusRate, InterfaceData >
using | StickingBlowersMaselRate = StickingRate< BlowersMaselRate, InterfaceData >

## Detailed Description

Header for reaction rates that occur at interfaces.

Definition in file InterfaceRate.h.